import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import 'amfe-flexible';

//按需引用 babel.config.js
// import { NavBar, Tabbar, TabbarItem, Search, List, PullRefresh, Image, Icon, Swipe, SwipeItem, Button, Cell, CellGroup, Switch } from 'vant';
// Vue.use(NavBar);
// Vue.use(Tabbar);
// Vue.use(TabbarItem);
// Vue.use(Search);
// Vue.use(List);
// Vue.use(PullRefresh);
// Vue.use(Image);
// Vue.use(Icon);
// Vue.use(Swipe);
// Vue.use(SwipeItem);
// Vue.use(Button);
// Vue.use(Cell);
// Vue.use(CellGroup);
// Vue.use(Switch);

import Vant from 'vant';
import 'vant/lib/index.css';

Vue.use(Vant);

// 引入全局样式文件
import '@/assets/scss/index.scss'

import api from "@/utils/request";
Vue.prototype.$api = api;

import filters from '@/utils/filter.js' 
filters(Vue)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
