
module.exports = {
  // chainWebpack: config => {
  //   config
  //     .plugin('html')
  //     .tap(args => {
  //       args[0].title = '退役军人'
  //       return args
  //     })
  // },

  css: {
    loaderOptions: {
      sass: {
        // 全局引入变量和 mixin
        prependData: `
          @import "@/assets/scss/variable.scss";
          @import "@/assets/scss/mixin.scss";
        `
      }
    }
  },
  devServer: {
    proxy: {
      [process.env.VUE_APP_BASE_API]: {
        // target: `http://wx.hw.hongweisoft.com/veterans/company/`,
        target: `http://172.16.90.110:7200/teacher`,
        changeOrigin: true,
        pathRewrite: {
          ['^' + process.env.VUE_APP_BASE_API]: ''
        }
      }
    },
    disableHostCheck: true
  },
  // productionSourceMap: false,
  // publicPath: process.env.NODE_ENV === 'production' ? '/' : '/'
}
